<!-- Hereda de el template main -->
{% extends 'main.html'%}  {# Herencia #}
{% from 'macros/form.html' import show_field, show_submit %}
<!-- Importar macro -->
{% import 'macros/project.html' as macro %}

<!--Hereda el bloque de cabecera manteniendo su contenido con la función super() y agregando el link a la hoja de estilo al final del mismo -->
{% block head %}
    {{ super() }} {# Heredar el contenido del bloque bloque #}
    <link rel="stylesheet" href="{{url_for('static', filename='css/style.css')}}"> {# Nuevo contenido del bloque #}
{% endblock %}

<!-- Comienza el bloque de contenido y define su contenido -->
{% block content %}
<div class="row">
    <div class="col-md-12 ">
      <h4>Project List
      {% if current_user.is_authenticated and current_user.role == "admin" %}
        <a type="button" href="{{url_for('project.create')}}" class="btn btn-success">Create</a>
        {% endif %}
      </h4>
    </div>
  </div>

  <div class="row">
       <div class="col-md-12">
         <form method="GET" action="{{ url_for('project.index') }}" >
           <div class="form-row">
             <div class="form-group col-md-1">
                 {{ show_field(filter.yearFrom , class='form-control')}}
             </div>
             <div class="form-group col-md-1">
                 {{ show_field(filter.yearTo , class='form-control')}}
             </div>
             <div class="form-group col-md-3">
                 {{ show_field(filter.professorId , class='form-control')}}
             </div>
             <div class="form-group col-md-2" style="margin-top:30px">
               {{ show_submit(filter.submit , class='btn btn-success')}}
             </div>
           </div>
         </form>
       </div>
     </div>

    <div class="row">
        <div class="col-md-12">
          <table class="table table-bordered table-dark">
						<tr>
							<th>#</th>
              <th>Name</th>
              <th>Year</th>
              <th>Professor</th>
              <th></th>
						</tr>
						{% for project in projects %}
						    {{ macro.show_project(project) }}
						{% endfor %}
					</table>
        </div>
		</div><!--Fin de la fila -->
  <div class="row">
      <div class="col-md-12 ">
        <!-- Mostrar paginación -->
       <nav aria-label="Pagination">
             <ul class="pagination justify-content-end" style="float:left">
             <!-- Boton de página anterior, desactivar si se está en la primera página -->
             {% if pagination.current_page != 1 %}
             <li class="page-item">
               <a class="page-link"
                href="{{ url_for('project.index',
                        page = (pagination.current_page-1),
                        professorId =request.args.professorId,
                        yearFrom = request.args.yearFrom,
                        yearTo = request.args.yearTo
                        ) }}"
               >Previous</a>
             </li>
             {% else %}
             <li class="page-item disabled">
               <a class="page-link" href="#" tabindex="-1" aria-disabled="true">Previous</a>
             </li>
             {% endif %}
             <!-- Recorrer cantidad de páginas para el filtrado actual -->
             {% for n in range(1,pagination.pages+1) %}
                   <!-- Boton para cada página, desactivar para página actual -->
                  {% if n != pagination.current_page %}
                       <li class="page-item">
                         <a class="page-link" href="{{ url_for('project.index',
                              page = n,
                              professorId =request.args.professorId,
                              yearFrom = request.args.yearFrom,
                              yearTo = request.args.yearTo
                              ) }}">{{n}}</a>
                       </li>
                  {% else %}
                      <li class="page-item disabled">
                          <a class="page-link" href="#" tabindex="-1" aria-disabled="true">{{n}}</a>
                      </li>
                  {% endif %}
             {% endfor %}
              <!-- Boton de página siguiente, desactivar si se está en la última página -->
             {% if pagination.current_page != pagination.pages %}
             <li class="page-item">
               <a class="page-link"
                href="{{ url_for('project.index',page = (pagination.current_page+1),
                professorId =request.args.professorId,
                yearFrom = request.args.yearFrom,
                yearTo = request.args.yearTo
                ) }}" >Next</a>
             </li>
             {% else %}
             <li class="page-item disabled">
               <a class="page-link" href="#" tabindex="-1" aria-disabled="true">Next</a>
             </li>
             {% endif %}
             </li>
           </ul>
         </nav>
       </div>
     </div>


{% endblock %}
